Bug 151080 - sub IC does not properly handle exception handling now that try/catch is compiled in the FTL
Summary: sub IC does not properly handle exception handling now that try/catch is comp...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-09 23:52 PST by Saam Barati
Modified: 2015-11-13 13:36 PST (History)
4 users (show)

See Also:


Attachments
WIP (32.13 KB, patch)
2015-11-10 17:07 PST, Saam Barati
no flags Details | Formatted Diff | Diff
patch (38.25 KB, patch)
2015-11-10 18:04 PST, Saam Barati
ggaren: review+
Details | Formatted Diff | Diff
patch for landing. (39.24 KB, patch)
2015-11-13 12:48 PST, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2015-11-09 23:52:25 PST
Should be an easy fix.
Comment 1 Saam Barati 2015-11-10 16:55:00 PST
I'm doing a bit of cleanup as part of this patch too.
Comment 2 Saam Barati 2015-11-10 17:07:19 PST
Created attachment 265250 [details]
WIP

I think this might be the patch.
Need to write some sub tests.
Comment 3 Saam Barati 2015-11-10 18:04:35 PST
Created attachment 265256 [details]
patch
Comment 4 WebKit Commit Bot 2015-11-10 18:06:04 PST
Attachment 265256 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/ftl/FTLOSRExit.cpp:49:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
Total errors found: 1 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Geoffrey Garen 2015-11-10 19:15:29 PST
Comment on attachment 265256 [details]
patch

What about Add, and/or other snippets?
Comment 6 Saam Barati 2015-11-11 07:31:12 PST
(In reply to comment #5)
> Comment on attachment 265256 [details]
> patch
> 
> What about Add, and/or other snippets?

They'll need the same treatment once they're introduced in the FTL.
Comment 7 Geoffrey Garen 2015-11-13 10:57:02 PST
Comment on attachment 265256 [details]
patch

r=me
Comment 8 Saam Barati 2015-11-13 12:48:27 PST
Created attachment 265490 [details]
patch for landing.
Comment 9 WebKit Commit Bot 2015-11-13 12:53:59 PST
Attachment 265490 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/ftl/FTLOSRExit.cpp:49:  Wrong number of spaces before statement. (expected: 8)  [whitespace/indent] [4]
Total errors found: 1 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 WebKit Commit Bot 2015-11-13 13:36:20 PST
Comment on attachment 265490 [details]
patch for landing.

Clearing flags on attachment: 265490

Committed r192439: <http://trac.webkit.org/changeset/192439>
Comment 11 WebKit Commit Bot 2015-11-13 13:36:24 PST
All reviewed patches have been landed.  Closing bug.